Skip to main content
`Ctrl`+`K`

# PetscSectionSetPermutation

Sets a permutation of the chart for this section, [0, `pEnd` - `pStart`), which determines the order to store the `PetscSection` information

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetPermutation(PetscSection s, IS perm)

Not Collective

## Input Parameters

- s - the `PetscSection`

- perm - the permutation of points

## Notes

The permutation must be provided before `PetscSectionSetUp()`.

The data in the `PetscSection` are permuted but the access via `PetscSectionGetFieldOffset()` and `PetscSectionGetOffset()` is not changed

Compare to `PetscSectionPermute()`

## See Also

Low-level Vector Communication, `IS`, `PetscSection`, `PetscSectionSetUp()`, `PetscSectionGetPermutation()`, `PetscSectionPermute()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages